Loading...
Searching...
No Matches
compressed_icc.h File Reference
JPEG XL library (libjxl) » Image and frame metadata

Utility functions to compress and decompress ICC streams. More...

`#include <jxl/jxl_export.h>`
`#include <jxl/memory_manager.h>`
`#include <jxl/types.h>`
Include dependency graph for compressed_icc.h:

Go to the source code of this file.

## Functions

JXL_EXPORT JXL_BOOL | JxlICCProfileEncode (const JxlMemoryManager *memory_manager, const uint8_t *icc, size_t icc_size, uint8_t **compressed_icc, size_t *compressed_icc_size)
JXL_EXPORT JXL_BOOL | JxlICCProfileDecode (const JxlMemoryManager *memory_manager, const uint8_t *compressed_icc, size_t compressed_icc_size, uint8_t **icc, size_t *icc_size)

## Detailed Description

Utility functions to compress and decompress ICC streams.